<?php
require_once './include/version.php';
require_once './lib/core.php';

require('smarty/libs/Smarty.class.php');
$smarty = new Smarty();

$smarty->plugins_dir[] = 'include';
require_once $smarty->_get_plugin_filepath('function', 'html_doctype');
require_once $smarty->_get_plugin_filepath('function', 'geoIP');

$smarty->assign('notifMsg', $notify);
$smarty->assign('pageTitle', 'phpUserTrack Installation Instructions');

$breadcrumbs = array(array('title' => 'Installation Instructions', 'url' => 'install.php'));
$smarty->assign('breadcrumbs', $breadcrumbs);

$smarty->display('header.tpl');
$smarty->display('install.tpl');

$smarty->assign('pageRenderTime', (getmicrotime() - $time));
//print_r($matrix->_matrix->_nodes);
$smarty->display('footer.tpl');
?>
