<?php
/**
 * Plugin class library
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subpackage Plugins
 */
class plugins {
	/**
	 * Registered hooks array
	 * @var array
	 */
	var $hooks = array( 'ip.pre' => array(), 
			'ip.post' => array(),
			'data.pre' => array(), 
			'data.post' => array(),
			'graph.prerender' => array(),
			'graph.postrender' => array());
	
	/**
	 * Register a new plugin and make availible to the proper hook
	 * @global array $conf
	 */
	function plugins() {
		global $conf;
		if (isset($conf['activePlugins'])) {
			foreach ($conf['activePlugins'] as $classname) {
				include dirname(__FILE__) . '/../plugins/' . $classname . '.php';
				if (!class_exists($classname)) {
					/** @todo class doesent exist */
				}
				@$obj = &new $classname;
				array_push($this->hooks[$obj->_type()], $obj);
			}	
		}
	}
}

?>
