<?php
/**
 * Site class library
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subpackage Libraries
 */
 
require_once 'libdb.php';
 
class phpusertrack_site extends phpusertrack_db {
	/**
	 * Site index
	 * @var integer
	 */
	var $_siteId = null;

	/**
	 * Class constructor
	 * @param integer $id Site index
	 */
	function phpusertrack_site($id = null) {
		if ($id != null) {
			$this->_siteId = $id;
		} else {
			// TODO What to do if site Id not passed?
		}
		$this->_connect();
	}

	/**
	 * Select and return list of all sites registered in phpUserTrack
	 * @return array List of sites
	 */
	function selectSites() {
		return $this->_query('select * from phpusertrack_sites');
	}
	
	function addSite($name, $url, $desc = null) {
		$sql = "insert into phpusertrack_sites set url='$url', name='$name', phpusertrack_sites.desc='$desc'";
		return $this->_insert($sql);
	}
	
	function getInfo($id = null) {
		if ($id = null) {
			$this->_siteId = $id;
		}
		$sql = "select * from phpusertrack_sites where id=" . $this->_siteId;
		return $this->_query($sql);
	}

}
?>
