<?php
	require_once './include/version.php';
	require_once './lib/core.php';
	
	require_once 'smarty/libs/Smarty.class.php';	
	
$smarty = new Smarty();

$smarty->plugins_dir[] = 'include';
require_once $smarty->_get_plugin_filepath('function', 'html_doctype');

if (isset($_POST['submit'])) {
	$login = new login();
	if (!$login->submit_login($_POST['username'], $_POST['password'])) {
		$notify[] = array('title' => 'Login Failed', 
			'desc' => 'invalid username/password combo',
			'type' => 'error'
		);
	} else {
		$notify[] = array('title' => 'Login Succeeded', 
			'desc' => 'You are logged in as <strong>' . $_POST['username'] . '</strong>',
			'type' => 'success'
		);
		include('index.php');
		die;
	}
} elseif (isset($_GET['logout'])) {
	unset ($_SESSION['uid']);
	$notify[] = array('title' => 'Logout Succeeded', 
			'desc' => 'You have been successfully logged out from the system',
			'type' => 'success'
		);
}

$smarty->assign('notifMsg', $notify);

$smarty->display('header.tpl');
$smarty->display('login.tpl');
$smarty->display('footer.tpl');

?>
