<div id="installedSites">
<h2>Installed Sites</h2>
<table class="messageList" cellspacing="0" width="100%">
	<tbody>
	<tr class="item">
		<th style="width:60%;">
			<span class="widget" title="The following sites are installed and able to collect data.">Site Name</span>
	  	</th>
		<th style="width:20%;">
			<span class="widget" title="The number of pages users have viewed at the site.">Page Views</span> 
	  	</th>
	  	<th style="width:10%;">
			<span class="widget" title="Report on the installed site.">Detail</span> 
	  	</th>
	  	{if $userlevel==9}
	  	<th style="width:10%;">
			<span class="widget" title="Edit/Delete the installed site.">Edit/Delete</span> 
	  	</th>
	  	{/if}
 	</tr>
 	
 	{section name=i loop=$sites}
 	<tr class="row0">
 		<td>
 			<span title="{$sites[i].desc|escape:'html'}">
	 		{$sites[i].name|escape:'html'}
		  	<em>(<a href="{$sites[i].url|escape:'html'}">{$sites[i].url|escape:'html'}</a>)</em>
		  	</span>
	  	</td>
 		<td>
	 		{$sites[i].count} page views
		  	{if isset($sitesold[i].count)}
		  		{math equation="new - old" new=$sites[i].count old=$sitesold[i].count assign=delta}
		  		{if $delta > 0}
		  			(<img src="images/up.gif" height="13" width="13" /> <span style="color:#00c800;"><strong>+{$delta}</strong></span>)
		  		{/if}
		  	{/if}
	  	</td>
	  	<td>
	  		<a href="report.php?id={$sites[i].id}"><img src="images/report.png" alt="View Report" style="border:0" /> View Report</a>
	  	</td>
	  	{if $userlevel==9}
	  	<td>
	  	<a href=""><img src="images/edit.png" alt="Edit" style="border:0" /></a>
	  	<a href=""><img src="images/delete.png" alt="Delete" style="border:0" /></a>
	  	</td>
	  	{/if}
 	</tr>
 	{sectionelse}
  		There are currently no sites installed.
  	{/section}
 </tbody>
 </table>
 {if $userlevel==9}
 <div id="footer">
	<span class="tableFloatRight">
		Host: {$mysqlHost} | Port: {$mysqlPort} | DB: {$mysqlDb}
	</span>
	<strong><a href="site.php">Add Website Profile</a></strong>
</div>
{/if}

</div>
