<?php
require_once './include/version.php';
require_once './lib/core.php';

require('smarty/libs/Smarty.class.php');
$smarty = new Smarty();

$smarty->plugins_dir[] = 'include';
require_once $smarty->_get_plugin_filepath('function', 'html_doctype');

$db = new phpusertrack_db();

$sql = 'select * from phpusertrack_ip where ip=\'' . $_GET['ip'] . '\' order by timestamp desc limit 1';
$visits = $db->_query($sql);

$smarty->assign('pageTitle', 'phpUserTrack - ' . $_GET['ip'] );

$smarty->assign('mysqlQueryTime', (getmicrotime() - $time));

$smarty->assign('visits', $visits);
$smarty->assign('ip', $_GET['ip']);
$smarty->assign('hostname', gethostbyaddr($_GET['ip']));

if ($geoIP) {
	$geoip = Net_GeoIP::getInstance('./include/GeoLiteCity.dat',
	Net_GeoIP::STANDARD);
	$ip = $_GET['ip'];
	$location = $geoip->lookupLocation($ip);
	$smarty->assign('location', $location);
}

$smarty->assign('notifMsg', $notify);

$smarty->display('header.tpl');
$smarty->display('userreport.tpl');

$smarty->assign('pageRenderTime', (getmicrotime() - $time));

$smarty->display('footer.tpl');
?>