<?php

require_once './../include/version.php';
require_once './../lib/core.php';

include ('jpgraph/jpgraph.php');
include ('jpgraph/jpgraph_pie.php');

$db = new phpusertrack_db();
$sql = 'select browser, count(id)*100/(select count(*) from phpusertrack_ip) as percent from phpusertrack_ip group by browser order by percent desc limit 10';
$avgs = $db->_query($sql);

// Create the graph. These two calls are always required
$graph = new Graph(500,233);   
//$graph->img->SetAntiAliasing(); 
$graph->SetScale("textlin");

$data = array();
$xdata = array();

foreach ($avgs as $avg) {
	array_push($data, (int)$avg['percent']);
	array_push($xdata, (int)$avg['browser']);
}

// Create a bar pot
$plot = new PiePlot($data, $xdata);
$graph->Add($plot);

// Display the graph
$graph->Stroke();

?>
