<?php

require_once('libdb.php');

define("ADMIN_NAME", "Admin");
define("GUEST_NAME", "Guest");
define("ADMIN_LEVEL", 9);
define("USER_LEVEL",  1);
define("GUEST_LEVEL", 0);

class LoginException extends Exception {
	
	function __construct($message = null, $code = 0) {
		parent::__construct($message, $code);
	}
	
}

class login extends phpusertrack_db {
	
	private $_username;     //Username given on sign-up
	private $_uid;       //Random value generated on current login
	private $_userlevel = GUEST_LEVEL;    //The level to which the user pertains
	private $_isLoggedIn = false;    //True if user is logged in, false otherwise
	private $_userinfo = array();  //The array holding all user info
	
	function login(){
		global $conf;
    	$this->_isLoggedIn = $this->checkLogin();

      	if(!$this->logged_in){
      		if ($conf['allowanonymous']) {
				$this->_isLoggedIn = true;
				$this->_userlevel = 0;
				return true;
      		} else {
        		return false;
      		}
		}
		return true;
	}
	
	function checkLogin(){
		global $smarty;
    	if (isset($_SESSION['uid'])) {
    		$this->_connect();
    		$sql = 'select * from phpusertrack_users where id=\'' . $_SESSION['uid'] . '\'';
			$dat = $this->_query($sql);
			$this->_username = $dat[0]['username'];
			$this->_uid = $dat[0]['id'];
			$this->_isLoggedIn = true;
			$this->_userlevel = $dat[0]['userlevel'];
			$_SESSION['uid'] = $this->_uid;
    	}
    	$smarty->assign('userlevel', $this->_userlevel);
    	return $this->isLoggedIn();
	}
	
	function isLoggedIn() {
		return $this->_isLoggedIn;
	}
	
	function isGuest() {
		if ($this->_userlevel == 0) {
			return true;
		} else {
			return false;
		}
	}
	
	function submit_login($username, $password) {
		$this->_connect();
		$sql = 'select * from phpusertrack_users where username=\'' . $username . '\' and password=\'' . md5($password) . '\' limit 1';
		$dat = $this->_query($sql);
		if (count($dat) > 0) {
			$this->_username = $dat[0]['username'];
			$this->_uid = $dat[0]['id'];
			$this->_isLoggedIn = true;
			$this->_userlevel = $dat[0]['userlevel'];
			$_SESSION['uid'] = $this->_uid;
		}
		return $this->isLoggedIn();
	}
	
	/*private $_isLoggedIn = false;
	private $_username;
	private $_uid;
	private $_userlevel;
	
	function login() {
		global $conf;
		if ($conf['allowanonymous']) {
			$this->_isLoggedIn = true;
		} else {
			if (isset($_SESSION['uid'])) {
				$this->registerUser($_SESSION['uid']);
			}
		}
	}
	
	function submit_login($username, $password) {		
		$this->_connect();
		$sql = 'select * from phpusertrack_users where username=\'' . $username . '\' and password=\'' . md5($password) . '\' limit 1';
		$dat = $this->_query($sql);
		if (count($dat) > 0) {
			$this->registerUser($dat[0]['id']);
		}
		return $this->isLoggedIn();
	}
	
	function registerUser($uid) {
		global $smarty;
		
		$this->_connect();
		
		$sql = 'select * from phpusertrack_users where id=\'' . $uid . '\'';
		$dat = $this->_query($sql);
		$this->_username = $dat[0]['username'];
		$this->_uid = $dat[0]['uid'];
		$this->_isLoggedIn = true;
		$this->_userlevel = $dat[0]['userlevel'];
		$_SESSION['uid'] = $this->_uid;
		$smarty->assign('userlevel', $this->_userlevel);
	}

	function test_isLoggedIn() {
		if (!$this->isLoggedIn) {
			throw new LoginException("Login credentials failed");
		}
		return true;
	}
	
	function isLoggedIn() {
		return $this->_isLoggedIn;
	}
	*/
}

?>
