<?php
require_once './include/version.php';
require_once './lib/core.php';
require_once './lib/freqmatrix.php';
require_once './conf/conf.php';

require('smarty/libs/Smarty.class.php');
$smarty = new Smarty();

$smarty->plugins_dir[] = 'include';
require_once $smarty->_get_plugin_filepath('function', 'html_doctype');
require_once $smarty->_get_plugin_filepath('function', 'geoIP');

$db = new phpusertrack_db();
$sql = 'select phpusertrack_data.*, phpusertrack_ip.ip from phpusertrack_data Inner Join phpusertrack_ip ON phpusertrack_data.ip_id = phpusertrack_ip.id where site_id=' . $_GET['id'] . ' order by timestamp desc limit 10';
$recent = $db->_query($sql);

$sql = 'select *, (select count(*) from phpusertrack_data as tmpdata where tmpdata.site_id=phpusertrack_sites.id) as pageviews,	
	(select count(distinct tmpdata.ip_id) as visits from phpusertrack_data as tmpdata where tmpdata.site_id=phpusertrack_sites.id) as visits,
	(select count(distinct tmpip.ip) as uniqueVisitors from phpusertrack_ip as tmpip, phpusertrack_data as tmpdata where tmpdata.ip_id=tmpip.id and tmpdata.site_id=phpusertrack_sites.id) as visitors from phpusertrack_sites where id=' . $_GET['id'] . ' limit 1';
$info = $db->_query($sql);
$smarty->assign('info', $info[0]);

$sql = "Select Count(phpusertrack_data.path) AS `count`, phpusertrack_data.path, phpusertrack_sites.url From phpusertrack_data Inner Join phpusertrack_sites ON phpusertrack_data.site_id = phpusertrack_sites.id where site_id=" . $_GET['id'] . " Group By phpusertrack_data.path, phpusertrack_sites.id Order By `count` Desc Limit 10";
$paths = $db->_query($sql);
$smarty->assign('paths', $paths);

$sql = "select (select count(*) from phpusertrack_ip as newtempip where newtempip.ip=phpusertrack_ip.ip) as count, (select count(tmpdata.id) from phpusertrack_data as tmpdata, phpusertrack_ip as tmpip where tmpdata.ip_id=tmpip.id and tmpdata.site_id=" . $_GET['id'] . " and tmpip.ip=phpusertrack_ip.ip) as pages, phpusertrack_ip.ip, phpusertrack_ip.timestamp from phpusertrack_ip Inner Join phpusertrack_data ON phpusertrack_ip.id = phpusertrack_data.ip_id where site_id=" . $_GET['id'] . " group by phpusertrack_ip.ip order by pages desc limit 10;";
$sessions = $db->_query($sql);
$smarty->assign('sessions', $sessions);

$sql = 'select browser, count(id)*100/(select count(*) from phpusertrack_ip) as percent from phpusertrack_ip group by browser order by percent desc limit 10';
$avgs = $db->_query($sql);
$smarty->assign('browseravgs', $avgs);

$smarty->assign('mysqlQueryTime', (getmicrotime() - $time));

//$matrix = new freqMatrix($_GET['id']);
//$smarty->assign('matrix', $matrix->_matrix->_nodes);

$smarty->assign('recent', $recent);
$smarty->assign('id', $_GET['id']);

$smarty->assign('notifMsg', $notify);

$breadcrumbs = array(array('title' => 'Site Report (' . $info[0]['name'] . ')', 'url' => 'report.php?id=' . $_GET['id']));
$smarty->assign('breadcrumbs', $breadcrumbs);

$smarty->assign('serverPath', $_SERVER['SERVER_NAME'] . $conf['installpath'] . 'javascript/phpusertrack.js.php?site=' . $_GET['id']);

$smarty->display('header.tpl');
$smarty->display('report.tpl');

$smarty->assign('pageRenderTime', (getmicrotime() - $time));

//print_r($matrix->_matrix->_nodes);
$smarty->display('footer.tpl');
?>
