{php}
	$login = new login();
	$this->assign('login', $login);
{/php}

{html_doctype version=1.1}

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <title>{$pageTitle|default:"phpUserTrack Admin Page"}</title>
  <script type="text/javascript" src="javascript/nicetitle.js"></script>
  <link href="style.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
  
  <h1 style="margin: 0px;">{$pageTitle|default:"phpUserTrack Admin Page"}</h1>
  
  <div id="navcontainer">
  {if $breadcrumbs}
  	<div id="breadcrumbs">
  	<a href="index.php">Home</a>
  	{section name=j loop=$breadcrumbs}
  		&gt; <a href="{$breadcrumbs[j].url}">{$breadcrumbs[j].title|escape}</a>
  	{/section}
  	</div>
  {/if}
  <ul id="navlist">
  {if !$login->isLoggedIn()}
  <li><a href="login.php"><span title="Login">Login</span></a></li>
  {else}
  <li id="active"><a href="index.php" id="current"><span title="The main page to view and analyze collected data.">Dashboard</span></a></li>
  {if $userlevel==9}
  <li><a href="settings.php"><span title="Change phpUserTrack Settings and configuration.">Settings</span></a></li>
  <li><a href="checklatest.php"><span title="Check to see if you have the latest version of phpUserTrack. New updates have new features and bugfixes so upgrading is highly recommended.">Check Latest Version</span></a></li>
  {/if}
  {/if}
  <li><a href="help.php"><span title="Get help with phpUserTrack">Help</span></a></li>
  
  {if $login->isLoggedIn()}
  <li><a href="login.php?logout"><span title="Logout">Logout</span></a></li>
  {/if}
  
  </ul>
  </div>
  
  <div id="container">
  
  {section name=i loop=$notifMsg}
  	<p class="{$notifMsg[i].type|default:message}">
		<span class="title">{$notifMsg[i].title}</span>: 
		<span class="desc">{$notifMsg[i].desc}</span>
  	</p>
  {/section}
  
  {if !$login->isLoggedIn()}
  	{include file=login.tpl}
  	{include file=footer.tpl}
  	{php}die;{/php}  	
  {/if}
