<h3>Why are some pages cached?</h3>
<p>phpUserTrack is fully dynamic, which means that you always have the most up-to-date, instantaneous data
available. But phpUserTrack caches pages that <strong>haven't changed</strong> since the last time someone
viewed them to speed things up. So just because it says the page is cached, doesen't mean that you're seeing
old information.</p>
<p>Pages are only cached if you have the <code>Cache_Lite</code> PHP package installed. It can provide an almost 1000% speedup for some pages. To benefit from the speedup, install it with:<br />
<blockquote><code><span style="color: #bbb;">bash$</span> <strong>pear install Cache_Lite</strong></code></blockquote>
You can verify it worked by checking <a href="test.php">the test script</a></p>

<h3>Whats with the green numbers on the main page?</h3>
<p>Those are the number of page hits since the last time you refreshed the page AND since there was a change to the data. Basically its a convinient way of telling which sites have new data to look at.</p>

<h3>Where can I submit bugs?</h3>
<a href="http://chatetheory.com/trac/index.fcgi/newticket">http://chatetheory.com/trac/index.fcgi/newticket</a>
